Customer Bundles
Alle Operationen rund um Customer Bundles.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Customer Bundle | customer_bundle |
26 | — | customer_bundle_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/customer_bundles |
Create customer_bundle | Create a new customer_bundle in the active tenant. |
DELETE |
/v1/customer_bundles/{id} |
Delete customer_bundle | Soft delete entity. |
GET |
/v1/customer_bundles/{id} |
Get customer_bundle by id | Fetch a single customer_bundle. |
GET |
/v1/customer_bundles/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/customer_bundles/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/customer_bundles/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/customer_bundles |
List customer_bundles | List customer_bundles for the active tenant. |
PATCH |
/v1/customer_bundles/{id} |
Patch customer_bundle | JSON Merge Patch update. |
POST |
/v1/customer_bundles/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/customer_bundles/{id}/reassign-owner |
POST /v1/customer_bundles/{id}/reassign-owner | CodeMeta OS API endpoint. |
POST |
/v1/customer_bundles/{id}/transition |
POST /v1/customer_bundles/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/customer_bundles/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/customer_bundles/{id} |
Replace customer_bundle | Full replace with optimistic locking. |